USB_GADGET_VBUS_CONN(9)

NAME
usb_gadget_vbus_connect - Notify controller that VBUS is powered

SYNOPSIS

int usb_gadget_vbus_connect(struct usb_gadget * gadget);

ARGUMENTS

gadget
    The device which now has VBUS power.

CONTEXT

can sleep

DESCRIPTION

This call is used by a driver for an external transceiver (or GPIO) that detects a VBUS power session starting. Common responses include resuming the controller, activating the D+ (or D-) pullup to let the host detect that a USB device is attached, and starting to draw power (8mA or possibly more, especially after SET_CONFIGURATION).

Returns zero on success, else negative errno.

AUTHOR

David Brownell <dbrownell@users.sourceforge.net>
    Author.

COPYRIGHT